Skip to content
Start here

Billing History Details

Deprecated
user.billing.history.list(HistoryListParams**kwargs) -> SyncV4PagePaginationArray[BillingHistory]
GET/user/billing/history

Accesses your billing history object.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Billing WriteBilling Read
ParametersExpand Collapse
action: Optional[str]

The billing item action.

maxLength30
occurred_at: Optional[Union[str, datetime]]

When the billing item was created.

formatdate-time
order: Optional[Literal["type", "occurred_at", "action"]]

Field to order billing history by.

One of the following:
"type"
"occurred_at"
"action"
page: Optional[float]

Page number of paginated results.

minimum1
per_page: Optional[float]

Number of items per page.

maximum50
minimum5
type: Optional[str]

The billing item type.

maxLength30
ReturnsExpand Collapse
class BillingHistory:
id: str

Billing item identifier tag.

maxLength32
action: str

The billing item action.

maxLength30
amount: float

The amount associated with this billing item.

currency: str

The monetary unit in which pricing information is displayed.

description: str

The billing item description.

maxLength255
occurred_at: datetime

When the billing item was created.

formatdate-time
type: str

The billing item type.

maxLength30
zone: Zone
name: Optional[str]

Billing History Details

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.user.billing.history.list()
page = page.result[0]
print(page.id)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "b69a9f3492637782896352daae219e7d",
      "action": "subscription",
      "amount": 20.99,
      "currency": "USD",
      "description": "The billing item description",
      "occurred_at": "2014-03-01T12:21:59.3456Z",
      "type": "charge",
      "zone": {
        "name": "name"
      }
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "b69a9f3492637782896352daae219e7d",
      "action": "subscription",
      "amount": 20.99,
      "currency": "USD",
      "description": "The billing item description",
      "occurred_at": "2014-03-01T12:21:59.3456Z",
      "type": "charge",
      "zone": {
        "name": "name"
      }
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}